// Distributed under the Boost Software License, Version 1.0.
//    (See accompanying file LICENSE_1_0.txt or copy at
//          http://www.boost.org/LICENSE_1_0.txt)

import Qt 4.7

Item {
    id: root
    property int type: 0

    Flickable {
        anchors.fill: parent
        contentX: type > 0 ? root.width * ((type-1)%12) : 0
        contentY: type > 0 ? root.height * Math.floor((type-1)/12) : 0
        interactive: false
        clip: true

        Image {
            source: "graphics.png"
            width: root.width*12
            height: root.height*12
        }
    }

    Text {
        visible: type > 67 || type == 30 || type == 56
        anchors.centerIn: parent
        text: type
    }
}
